{
    "class": "Workflow",
    "requirements": [
        {
            "class": "ScatterFeatureRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "id": "#main/charset"
        },
        {
            "type": "File",
            "id": "#main/datadivision"
        },
        {
            "default": "test",
            "type": "string",
            "id": "#main/div_name"
        },
        {
            "type": "Directory",
            "id": "#main/in_dir"
        },
        {
            "type": "File",
            "id": "#main/model"
        }
    ],
    "steps": [
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "CommandLineTool",
                "baseCommand": [
                    "python",
                    "-m",
                    "ochre.lstm_synced_correct_ocr"
                ],
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#_:lstm-synced-correct-ocr-1/charset"
                    },
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#_:lstm-synced-correct-ocr-1/model"
                    },
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 3
                        },
                        "id": "#_:lstm-synced-correct-ocr-1/txt"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "$(inputs.txt.basename)"
                        },
                        "id": "#_:lstm-synced-correct-ocr-1/corrected"
                    }
                ],
                "id": "#_:lstm-synced-correct-ocr-1"
            },
            "in": [
                {
                    "source": "#main/charset",
                    "id": "#main/lstm-synced-correct-ocr-1/charset"
                },
                {
                    "source": "#main/model",
                    "id": "#main/lstm-synced-correct-ocr-1/model"
                },
                {
                    "source": "#main/select-test-files-2/out_files",
                    "id": "#main/lstm-synced-correct-ocr-1/txt"
                }
            ],
            "out": [
                "#main/lstm-synced-correct-ocr-1/corrected"
            ],
            "scatter": [
                "#main/lstm-synced-correct-ocr-1/txt"
            ],
            "scatterMethod": "dotproduct",
            "id": "#main/lstm-synced-correct-ocr-1"
        },
        {
            "run": {
                "cwlVersion": "v1.0",
                "class": "CommandLineTool",
                "baseCommand": [
                    "python",
                    "-m",
                    "ochre.select_test_files"
                ],
                "stdout": "cwl.output.json",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#_:select-test-files-2/datadivision"
                    },
                    {
                        "type": "Directory",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#_:select-test-files-2/in_dir"
                    },
                    {
                        "type": [
                            "null",
                            "string"
                        ],
                        "inputBinding": {
                            "prefix": "--name"
                        },
                        "id": "#_:select-test-files-2/name"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "id": "#_:select-test-files-2/out_files"
                    }
                ],
                "id": "#_:select-test-files-2"
            },
            "in": [
                {
                    "source": "#main/datadivision",
                    "id": "#main/select-test-files-2/datadivision"
                },
                {
                    "source": "#main/in_dir",
                    "id": "#main/select-test-files-2/in_dir"
                }
            ],
            "out": [
                "#main/select-test-files-2/out_files"
            ],
            "id": "#main/select-test-files-2"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": {
                "items": "File",
                "type": "array"
            },
            "outputSource": "#main/lstm-synced-correct-ocr-1/corrected",
            "id": "#main/corrected"
        }
    ],
    "cwlVersion": "v1.0"
}
